Foxit PDF SDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FSDK.TiledWatermarkSettings Class Reference

## Public Member Functions
| constructor ()
| Constructor and set the default value. More...
| constructor (row_space, col_space, rotation, opacity, scale, flags)
| Constructor, with parameters. More...
| Set (row_space, col_space, rotation, opacity, scale, flags)
| Set value. More...

## Public Attributes
| col_space
| The column spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
| flags
| Watermark flags. More...
| opacity
| Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
| rotation
| Rotation angle in degrees.
| row_space
| The row spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
| scale
| The image or page scale in percents. Valid range: from 1 to 100. 100 means the image or page is displayed at its original size. The default value is 100.

## Static Public Attributes
static | e_FlagAsAnnot
| If set, the watermark will be an annotation when inserted to a PDF page, and the watermark will be show above other content.
static | e_FlagASPageContents
| Enumeration for tiled watermark setting flags. More...
static | e_FlagInvisible
| If set, do not display a watermark.
static | e_FlagNoPrint
| If set, do not print a watermark.
static | e_FlagOnTop
| If set, show watermark above other page content.

## Detailed Description

This class represents the watermark settings used to construct a tiled watermark from any supported resource.

## Member Function Documentation

## ◆ constructor() [1/2]

FSDK.TiledWatermarkSettings.constructor | ( |  | ) |

Constructor and set the default value.

By default, the watermark is not rotated and opacity is completely opaque, the row spacing and column spacing defaults to 2.0 inches. If it's an image or page watermark, display the original scale size.

## ◆ constructor() [2/2]

FSDK.TiledWatermarkSettings.constructor | ( | row_space | ,
|  | col_space | ,
|  | rotation | ,
|  | opacity | ,
|  | scale | ,
|  | flags |
| ) |  |

Constructor, with parameters.

The parameter scale doesn't support text tiled watermark, and will have no effect after setting.

Parameters

  [in] | row_space | The row spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | col_space | The column spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | rotation | Rotation angle in degrees.
  [in] | opacity | Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
  [in] | scale | The image or page scale in percents. Valid range: from 1 to 100. 100 means the image or page is displayed at its original scale size.
  [in] | flags | Watermark flags. Please refer to values starting from FSDK.e_FlagAsPageContents and this can be one or a combination of these values. Default value: FSDK.TiledWatermarkSettings.e_FlagAsPageContents.

## ◆ Set()

FSDK.TiledWatermarkSettings.Set | ( | row_space | ,
|  | col_space | ,
|  | rotation | ,
|  | opacity | ,
|  | scale | ,
|  | flags |
| ) |  |

Set value.

The parameter scale doesn't support text tiled watermark, and will have no effect after setting.

Parameters

  [in] | row_space | The row spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | col_space | The column spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | rotation | Rotation angle in degrees.
  [in] | opacity | Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
  [in] | scale | The image or page scale in percents. Valid range: from 0 to 100. 0 means not displayed, 100 means the image or page is displayed at its original scale size.
  [in] | flags | Watermark flags. Please refer to values starting from FSDK.e_FlagAsPageContents and this can be one or a combination of these values. Default value: FSDK.TiledWatermarkSettings.e_FlagAsPageContents.

Returns
  None.

## Member Data Documentation

## ◆ e_FlagASPageContents

FSDK.TiledWatermarkSettings.e_FlagASPageContents
| static

Enumeration for tiled watermark setting flags.

Values of this enumeration can be used alone or in combination.

If set, the watermark will be a part of page content when inserted to a PDF page.

## ◆ flags

FSDK.TiledWatermarkSettings.flags

Watermark flags.

Please refer to values starting from FSDK.TiledWatermarkSettings.e_FlagAsPageContents and this can be one or a combination of these values.
Default value: FSDK.TiledWatermarkSettings.e_FlagAsPageContents.